td a:hover {
    text-decoration: none;
}
td a {
    cursor: pointer;    
}
#Botones{
    position: sticky;
    top:0;
    padding:10px; 
    z-index:10;
    background-color: #fff;
}
.titulo{
    text-align: center
}
.error i{
    font-size: 1.5em;
}
.error .error-text{
    font-size: 1.5em;
}
@media screen and (min-width: 768px) {
.mt_10 {
  margin-top:10%;
}
}

.rotulo {
    font-weight:bold;
    color:#10418F;
}

button i{
    margin: 3px;
}
.modal {
  text-align: center;
  padding: 0!important;
}

.modal:before {
  content: '';
  display: inline-block;
  height: 100%;
  vertical-align: middle;
  margin-right: -4px;
}

.modal-dialog {
  display: inline-block;
  text-align: left;
  vertical-align: middle;
}


.glyphicon.fast-right-spinner {
    -webkit-animation: glyphicon-spin-r 1s infinite linear;
    animation: glyphicon-spin-r 1s infinite linear;
    font-size: 2em;
    padding: 30px;
}
@-webkit-keyframes glyphicon-spin-r {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(359deg);
        transform: rotate(359deg);
    }
}

@keyframes glyphicon-spin-r {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(359deg);
        transform: rotate(359deg);
    }
}


.instancia input[type="submit"],
.instancia input[type="button"]
{
    white-space: normal;
    margin-bottom:5px;
    min-width: 220px;
}
.instancia{
    text-align: center;
}
.instancia .botonera{
    display: flex;
    justify-content: space-around;    
    flex-wrap: wrap;
}

#borrarFiltro{    
    position: relative;    
    left: -20px;
    top: 2px;
    margin: -6px;
    font-size: 20px;
    cursor: pointer;
    color: #ccc;        
}
/*.tableFixHead{
    max-height:55vh;
    overflow-y:auto;    
}*/
.resultado { height: 60vh; }
.tableFixHead    { overflow-y: auto; height: 60vh; }
.tableFixHead th { position: sticky; top: 0; }

/* Just common table stuff. Really. */
/*table  { border-collapse: collapse; width: 90vw; }*/
th, td { padding: 8px 16px; }
th     { background:#eee; }




.bg-info, .bg-danger, .bg-success{
    padding: 0px 6px;
    border-radius: 4px;
}
.tdup{    
    padding: 5px 3px 0 !important;
    width:10px;
}
.tdbtn{    
    padding: 11px 3px 0 !important;
    width:10px;

}

.tdpeticioncodigo input {    
    width: 90px !important;
    padding: 5px 5px !important;
    height: 22px;
    margin-right: 3px;

}
.tdpeticioncodigo {
    
    padding: 4px !important;
    display: flex;
    flex-wrap: nowrap;
}
@media screen and (max-width: 639px) {
 .tdpeticioncodigo {
    
    padding: 4px !important;
    display: flex;
    flex-wrap: wrap;
}   
}

.tdpeticioncodigo div {
    margin-top: 1px;
}

.tdpeticionnombre  {
    /*width: 50%;*/
}

#Seleccion .icon-item, .nitem{
    width: 10px
}
#Seleccion .cod-item{
    width: 70px;
}
#Seleccion .text-item{
    width: 250px;
}


#opciones .cod-item{
    width: 20%;
    min-width: 65px;
}
#opciones .text-item{
    width: 75%;
}

.icon-item{    
    padding-left: 6px;
    /*border-left: 1px solid #ddd;*/
    margin-left: 5px;
}

#Seleccion .list-group-item{
    display: flex;
    flex-wrap: wrap;

}
#opciones .list-group-item{
    display: flex;
    flex-wrap: wrap;
    
}

/* todo ajustar boton*/
@media screen and (max-width: 768px) {

    #Seleccion .list-group-item{
        display: block;
    }

    #opciones .list-group-item{
        display: block;                
    }   
    #Seleccion .icon-item{
        position: absolute;
        right: 15px;
        top: 12px;
    }
}


.active  {
    background-image: -webkit-linear-gradient(top, #dff0d8 0%, #d0e9c6 100%) !important;
    background-image: linear-gradient(to bottom, #dff0d8 0%, #d0e9c6 100%) !important;
    filter: progid : DXImageTransform.Microsoft.gradient ( startColorstr = '#ffdff0d8', endColorstr = '#ffd0e9c6', GradientType = 0 ) !important;
    background-repeat: repeat-x !important;
    color: #3c763d !important;
    background-color: #dff0d8 !important;
    border-color: #d6e9c6 !important;
    text-shadow: none !important;
}

#Seleccion .list-group{
    max-height:60vh;
    overflow-y:auto;
}
#opciones .list-group{
    max-height:60vh;
    overflow-y:auto;
}


.list-group-item .nitem{
    padding-right: 6px;
    /*border-right: 1px solid #ddd;*/
    margin-right: 5px;
    font-weight: bold;
}

.list-group-item .cod-item{
    padding-right: 6px;
    /*border-right: 1px solid #ddd;*/
    margin-right: 5px;
    font-weight: bold;
}


.provincias{
    display: flex;
    /*flex-direction: row;*/
    flex-wrap: wrap; 
    justify-content: center;
}

.provincias>div{
        width:100%;
    }
@media screen and (min-width: 768px) {
    .provincias>div{
        width:50%;
    }
}

.provincias>div th{
    text-align: center;
}
.provincias>div input{
    width: 50px;
}

.anexo{
	border: 1px solid #dddddd; 
    padding:5px;
    margin-bottom: 25px;
}

.col-centered{
    float: none;
    margin: 0 auto;
}

.logo{
    /* https://css-tricks.com/snippets/css/fluid-typography/ 
    font-size: calc([minimum size] + ([maximum size] - [minimum size]) * ((100vw - [minimum viewport width]) / ([maximum viewport width] - [minimum viewport width])));
    */
    height: calc(75px + (90 - 75) * ((100vw - 300px) / (1600 - 300)));    
    float: left;
    margin: 20px 20px 0 5px;
}
.subheader, .header{
    color: white;
    font-family: "ERAS BK BT", sans-serif;
    font-size: calc(14px + (20 - 14) * ((100vw - 300px) / (1600 - 300)));
}
.header{
    font-size: calc(18px + (26 - 18) * ((100vw - 300px) / (1600 - 300)));
    font-weight: bold;
}

.invalid-feedback{
	display:none;
	color:red;
}

.was-validated .form-control:invalid ~.invalid-feedback{
	display:block;

}

.was-validated .form-control:invalid {
    border-color: #dc3545;
}

.was-validated div.label_required {
    border: 1px solid #dc3545;    
    border-radius: 5px;      	
}

/*.required{
    border: 1px solid red;
}*/

.form-group.required label:after{    
    content:" *";
    color:red;
}

.label_required{
	display:inline-block;
	padding:5px;
}
.label_required:before{    
    content:"* ";
    color: red;    
}

.form-group.required .required{
      color: red;
}
@media print {
  /* Contenido del fichero print.css */
  .no-print{
    display:none;
  }
  .item-result{
    page-break-inside: avoid;
  }
}